/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.directorydifference;

import java.io.File;

import com.carlosbcruz.util.FileSupport;
import com.carlosbcruz.util.Out;

/**
 * Compares two directories and see which files are present in on directory and
 * not in the other.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class DirectoryDifference {

	/**
	 * Main Class, start point.
	 * 
	 * @param args
	 *            Two directories are expected as parameters.
	 */
	public static void main(String[] args) {

		// Verify if there are two directories on the parameters list.
		if (args.length != 2) {
			Out
					.println("Usage: java -jar DirectoryDifference First_Directory Second_Directory");
			System.exit(0);
		}

		File firstFile = new File(args[0]), secondFile = new File(args[1]);

		// Verify if the two parameters are directories.
		if (!firstFile.isDirectory() || !secondFile.isDirectory()) {
			Out.println("Error: Some of the parameters are not a directory.");
			System.exit(0);
		}

		String[] firstFileResult = FileSupport.getFileOnSubfolder(args[0], null);
		String[] secondFileResult = FileSupport.getFileOnSubfolder(args[1], null);

		Out.println(args[0] + " has " + firstFileResult.length + " files.");
		Out.println(args[1] + " has " + secondFileResult.length + " files.");
		for (int i = 0; i < firstFileResult.length; i++) {
			File tmpFirstFile = new File(firstFileResult[i]);

			boolean fileFound = false;
			for (int j = 0; j < secondFileResult.length; j++) {
				File tmpSecondFile = new File(secondFileResult[j]);
				if (tmpFirstFile.getName().equals(tmpSecondFile.getName())) {
					fileFound = true;
					break;
				}
			}

			if (!fileFound) {
				Out.println(firstFileResult[i]);
			}
		}
	}
}
