/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.extractor;

import java.io.File;

/**
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class DirectoryExtractor {

	static File[] files;

	private void showDirectories(File file[], int level) {

		for (int i = 0; i < file.length; i++) {

			if (file[i].isDirectory()) {

				System.out.println(file[i]);
				showDirectories(file[i].listFiles(), level + 2);
			}
		}

	}

	/**
	 * Show the files.
	 * 
	 * @param file
	 *            Files
	 */
	private void showFiles(File file[]) {

		for (int i = 0; i < file.length; i++) {

			if (file[i].isDirectory()) {

				System.out.println(file[i]);

				showFiles(file[i].listFiles());

			} else {

				long size = file[i].length() / 1024;

				String outputNumber = String.valueOf(size);
				int complement = 10 - outputNumber.length();

				System.out.print("     ");

				for (int c = 0; c < complement; c++)
					System.out.print(" ");

				System.out.print(outputNumber + "K       ");
				System.out.println(file[i].getName());
			}
		}

	}

	/**
	 * Main method.
	 * 
	 * @param args
	 *            Arguments
	 */
	public static void main(String[] args) {

		if (args.length != 1) {
			System.out
					.println("Chamar com a letra do drive como parmetro: Ex: C:\\");
		}

		System.out
				.println("*****************************************************");
		System.out
				.println("****************     DIRETORIOS      ****************");
		System.out
				.println("*****************************************************");
		System.out.println("");

		DirectoryExtractor dir = new DirectoryExtractor();
		dir.showDirectories(new File[] { new File(args[0]) }, 0);

		System.out.println("");
		System.out
				.println("*****************************************************");
		System.out
				.println("****************      ARQUIVOS       ****************");
		System.out
				.println("*****************************************************");
		System.out.println("");

		dir.showFiles(new File[] { new File(args[0]) });
	}
}
