/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.multithread;

import java.util.Vector;

/**
 * The repository.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */

public class TasksRepository implements MultithreadManager {

	private final static int MAX_TASKS = 1000;

	private Vector tasks = new Vector();

	private long tasksRetrieved = 0;

	public TasksRepository() {
	}

	public int getNumberOfTasks() {
		return tasks.size();
	}

	public synchronized boolean addTask(Object object) {
		if (tasks.size() >= MAX_TASKS)
			return false;

		tasks.add(object);
		return true;
	}

	public double getTasksRetrieved() {
		return tasksRetrieved;
	}

	public synchronized Object getTask() {
		if (tasks.size() == 0)
			return null;

		tasksRetrieved++;
		return tasks.remove(0);
	}
}