/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.pageschanges;

/**
 * Bean for the links.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class LinkBean {

	private String url;
	private String header;
	private String exception;
	long previousContent = -1;
	private String message;

	LinkBean(String url, String header, String exception, long previousContent) {

		this.url = url;
		this.header = header;
		this.exception = exception;
		this.previousContent = previousContent;
	}

	/**
	 * @return Returns the previousContent.
	 */
	public long getPreviousContent() {

		return previousContent;
	}

	/**
	 * @param previousContent
	 *            The previousContent to set.
	 */
	public void setPreviousContent(long previousContent) {

		this.previousContent = previousContent;
	}

	/**
	 * @return Returns the url.
	 */
	public String getUrl() {

		return url;
	}

	/**
	 * @param url
	 *            The url to set.
	 */
	public void setUrl(String url) {

		this.url = url;
	}

	/**
	 * Get header.
	 * 
	 * @return
	 */
	public String getHeader() {

		return header;
	}

	/**
	 * Set header.
	 * 
	 * @param header
	 */
	public void setHeader(String header) {

		this.header = header;
	}

	/**
	 * Get the exception.
	 * 
	 * @return
	 */
	public String getException() {

		return exception;
	}

	/**
	 * Set the exception.
	 * 
	 * @param exception
	 */
	public void setException(String exception) {

		this.exception = exception;
	}

	/**
	 * Get message.
	 * 
	 * @return
	 */
	public String getMessage() {

		return message;
	}

	/**
	 * Set message.
	 * 
	 * @param message
	 */
	public void setMessage(String message) {

		this.message = message;
	}
}
