/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.percurse;

import com.carlosbcruz.percurse.beans.FuelBean;
import com.carlosbcruz.percurse.beans.PercurseBean;
import com.carlosbcruz.percurse.io.FuelReader;
import com.carlosbcruz.percurse.io.PercurseReader;
import com.carlosbcruz.percurse.logic.PercurseLogic;

/**
 * Main class.
 *  
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class PercurseMain {

	/**
	 * 
	 * @param args
	 *            Parameters received by operational system
	 */
	static public void main(String args[]) {

		PercurseReader reader = new PercurseReader();
		FuelReader fuelReader = new FuelReader();

		// FuelBean[] fuelArray = fuelReader
		// .readFuelFile("D:/Carlos/RAD_Workspace/Percurse Analysis/pFuel
		// export.csv"); PercurseBean[] percurseArray = reader
		// .readPercurseFile("D:/Carlos/RAD_Workspace/Percurse
		// Analysis/PercursoEN.csv");
		
		FuelBean[] fuelArray = fuelReader
				.readFuelFile("pFuel export.csv");
		PercurseBean[] percurseArray = reader
				.readPercurseFile("PercursoEN.csv");

		PercurseLogic percurseLogic = new PercurseLogic(percurseArray,
				fuelArray);
		System.out.println(percurseLogic);
		for (int i = 0; i < fuelArray.length; i++)
			System.out.println(fuelArray[i]);
		
		//		for (int i = 0; i < percurseArray.length; i++)
		//			System.out.println(percurseArray[i]);
		
	}
}
