/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.percurse.beans;

/**
 * Hold a refueling instance
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class FuelBean {

	private int day, month, year;

	private float volume;

	private float cost;

	private long odometer;

	/**
	 * Create a specific bean
	 * 
	 * @param day
	 * @param month
	 * @param year
	 * @param volume
	 * @param cost
	 * @param odometer
	 */
	public FuelBean(int day, int month, int year, float volume, float cost,
			long odometer) {
		this.day = day;
		this.month = month;
		this.year = year;
		this.volume = volume;
		this.cost = cost;
		this.odometer = odometer;
	}

	/**
	 * Get the day
	 * 
	 * @return Returns the day.
	 */
	public int getDay() {
		return day;
	}

	/**
	 * Get the month
	 * 
	 * @return Returns the month.
	 */
	public int getMonth() {
		return month;
	}

	/**
	 * Get the year
	 * 
	 * @return Returns the year.
	 */
	public int getYear() {
		return year;
	}

	/**
	 * Retrieve the fuel cost
	 * 
	 * @return Returns the cost.
	 */
	public float getCost() {
		return cost;
	}

	/**
	 * Get bean property
	 * 
	 * @return odometer
	 */
	public long getOdometer() {
		return odometer;
	}

	/**
	 * Get bean property
	 * 
	 * @return volume
	 */
	public float getVolume() {
		return volume;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {

		StringBuffer buffer = new StringBuffer();

		buffer.append("FuelBean(" + month + "/" + day + "/" + year + " "
				+ volume + " " + cost + " " + odometer + ")");

		return buffer.toString();
	}
}
