/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.percurse.io;

import java.io.FileNotFoundException;
import java.io.IOException;

import com.carlosbcruz.percurse.beans.FuelBean;
import com.carlosbcruz.percurse.util.CommaSeparetedException;
import com.carlosbcruz.percurse.util.CommaSeparetedValuesFileReader;

/**
 * Read a fuel file
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class FuelReader {

	public FuelBean[] readFuelFile(String fileName) {

		FuelReaderCallBack fuelCallBack = new FuelReaderCallBack();

		CommaSeparetedValuesFileReader reader = new CommaSeparetedValuesFileReader(
				fileName, fuelCallBack);

		try {
			reader.read();
		} catch (FileNotFoundException e1) {
			e1.printStackTrace();
			System.exit(1);
		} catch (IOException e2) {
			e2.printStackTrace();
			System.exit(1);
		} catch (CommaSeparetedException e3) {
			e3.printStackTrace();
			System.exit(1);
		}

		return fuelCallBack.getFuels();

	}
}
