/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.percurse.io;

/**
 * Inform of Reader Exception
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class ReaderException extends Exception {

	private static final long serialVersionUID = 1L;

	private String simpleMessageText;

	/**
	 * Construct a simple reader exception with a simplified message
	 * 
	 * @param newSimpleMessageText
	 */
	ReaderException(String newSimpleMessageText) {

		simpleMessageText = newSimpleMessageText;
	}

	/**
	 * Get simplified message text
	 * 
	 * @return message
	 */
	public String getSimpleMessageText() {
		return simpleMessageText;
	}

	/**
	 * Set simplified message text
	 * 
	 * @param newSimpleMessageText
	 */
	public void setSimpleMessageText(String newSimpleMessageText) {
		simpleMessageText = newSimpleMessageText;
	}

}
