/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.percurse.messages;

import java.util.Hashtable;

/**
 * Centralize the use of messages
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class MessageCentralizer {

	public static final String FILE_NOT_FOUND_EXCEPTION = "FILE_NOT_FOUND";

	public static final String INVALID_DATA_FORMAT = "INVALID_DATA_FORMAT";

	public static final String INVALID_CONTENT = "INVALID_CONTENT";

	private static Hashtable messages = new Hashtable();

	static {
		messages.put(FILE_NOT_FOUND_EXCEPTION,
				"The specified file was not found");
		messages.put(INVALID_DATA_FORMAT, "Invalid data format");
		messages.put(INVALID_CONTENT, "Invalid content");
	}

	/**
	 * Seek for a specific message
	 * 
	 * @param token
	 * @return the message
	 */
	public static String getMessage(String token) {
		String message = (String) messages.get(token);

		if (message == null)
			throw new RuntimeException("MessageCentralizer: Token \"" + token
					+ "\" was not found");

		return (message);
	}
}
