/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.percurse.util;

/**
 * Call back
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public interface CommaSeparetedValuesCallbackObject {

	/**
	 * Indicate that there is a new line to be read
	 */
	void newLineFound();
	
	/**
	 * Provide an element that was found a certain line and column
	 * @param line The line where the element was found
	 * @param column The column where the element was found
	 * @param element The element found
	 */
	void elementFound(int line, int column, String element) throws CommaSeparetedException;
	
	/**
	 * Indicate that there are no more elements to work with
	 */
	void noMoreElementsFound();
	
}
