/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.percurse.util;

import java.util.Hashtable;

/**
 * Constains constants used by Comma Separeted Classes
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class CommaSeparetedValuesConstants {

	public static final String COMMA_SEPARETED_TOKEN = "COMMA_SEPARETED_TOKEN";

	public static final String INITIAL_COMMA_SEPARETED_EXCEPTION_MESSAGE = "INITIAL_COMMA_SEPARETED_EXCEPTION_MESSAGE";

	private static Hashtable messages = new Hashtable();

	static {
		messages.put(COMMA_SEPARETED_TOKEN, ",");
		messages.put(INITIAL_COMMA_SEPARETED_EXCEPTION_MESSAGE,
				"Not specified yet");
	}

	/**
	 * Seek for a specific message
	 * 
	 * @param token
	 * @return the message
	 */
	public static String getMessage(String token) {
		String message = (String) messages.get(token);

		if (message == null)
			throw new RuntimeException("CommaSeparetedValuesConstants: Token \"" + token + "\" was not found");

		return (message);
	}

}
