/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.replacestring;

import javax.swing.JInternalFrame;

/**
 * Represent a document
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class InternalDocument {

	private String title;

	private StringBuffer content;

	private long length;

	private JInternalFrame internalFrame;

	/**
	 * Constructor for InternalDocument.
	 */
	public InternalDocument(String title, StringBuffer content, long length) {
		super();

		this.title = title;
		this.content = content;
		this.length = length;
	}

	/**
	 * Returns the content.
	 * 
	 * @return StringBuffer
	 */
	public StringBuffer getContent() {
		return content;
	}

	/**
	 * Returns the title.
	 * 
	 * @return String
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Returns the internalFrame.
	 * 
	 * @return JInternalFrame
	 */
	public JInternalFrame getInternalFrame() {
		return internalFrame;
	}

	/**
	 * Sets the internalFrame.
	 * 
	 * @param internalFrame
	 *            The internalFrame to set
	 */
	public void setInternalFrame(JInternalFrame internalFrame) {
		this.internalFrame = internalFrame;
	}

	/**
	 * Returns the length.
	 * 
	 * @return long
	 */
	public long getLength() {
		return length;
	}

	/**
	 * Sets the length.
	 * 
	 * @param length
	 *            The length to set
	 */
	public void setLength(long length) {
		this.length = length;
	}

	/**
	 * Sets the content.
	 * 
	 * @param content
	 *            The content to set
	 */
	public void setContent(StringBuffer content) {
		this.content = content;
	}

}
