/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.replacestring;

import java.awt.event.ActionListener;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

/**
 * Main tool bar.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class MainToolBar extends JToolBar implements HasFilesListener {

	private JButton filesButton, replaceButton;

	MainToolBar() {
		super();

		buildToolBar();
	}

	private void buildToolBar() {

		URL imageURL = MainToolBar.class.getResource("images/Files.gif");
		// Add and link the file buttom to the toolbar
		filesButton = new JButton(new ImageIcon(imageURL));
		filesButton.setToolTipText("Select Files");

		// Add and link the file buttom to the toolbar
		add(filesButton);

		// Add and link the file buttom to the toolbar
		imageURL = MainToolBar.class.getResource("images/Replace.gif");
		replaceButton = new JButton(new ImageIcon(imageURL));
		replaceButton.setToolTipText("Replace Strings");
		replaceButton.setEnabled(false);

		// Add and link the file buttom to the toolbar
		add(filesButton);
		add(replaceButton);

	}

	/**
	 * All others to listem to some actions
	 */
	public void addFileSelectActionListener(ActionListener actionListener) {
		filesButton.addActionListener(actionListener);
	}

	/**
	 * There are files
	 */
	public void hasFiles() {
		replaceButton.setEnabled(true);
	}

}
