/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.serializable;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

import com.carlosbcruz.form.ListElementForm;
import com.carlosbcruz.form.TestForm;

/**
 * Test com.carlosbcruz.serializable features of compound classes
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class SerializableTest {

	boolean skipWriteObject = false;

	/**
	 * @return
	 */
	private TestForm getForms() {

		ArrayList list = new ArrayList();
		list.add(new ListElementForm(5, "Test5"));
		list.add(new ListElementForm(3, "Test3"));
		list.add(new ListElementForm(1, "Test1"));
		list.add(new ListElementForm(8, "Test8"));
		list.add(new ListElementForm(9, "Test9"));
		list.add(new ListElementForm(4, "Test4"));

		TestForm test = new TestForm(2, "go", list);
		return test;
	}

	void run() {

		if (!skipWriteObject) {

			TestForm test = getForms();

			System.out.println(test);

			try {
				FileOutputStream fos = new FileOutputStream(
						"SerializableTestFile.ser");
				ObjectOutputStream ostream = new ObjectOutputStream(fos);
				ostream.writeObject(test);
				ostream.close();
				fos.close();
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}

		TestForm test2 = null;
		try {
			FileInputStream fin = new FileInputStream(
					"SerializableTestFile.ser");
			ObjectInputStream instream = new ObjectInputStream(fin);
			try {
				test2 = (TestForm) instream.readObject();
			} catch (ClassNotFoundException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			instream.close();
			fin.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

		System.out.println(test2);

	}

	public static void main(String[] args) {

		SerializableTest test = new SerializableTest();
		test.run();
	}
}
