/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.stringconcatenation;

/**
 * Identify an specific field into the main string.
 *  
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class Field {

    private String field = new String();
    private int position = 0;
    private int length = 0;
    private String value = new String();
    
    /**
     * Specify a field. 
     * @param field The field name.
     * @param position The field position in the string.
     * @param length The field length.
     */
    public Field(String field, int position, int length) {

        super();
        
        this.field = field;
        this.position = position;
        this.length = length;
    }

    /**
     * Inform the field name.
     * @return field name.
     */
    public String getField() {
    
        return field;
    }
    
    /**
     * Set the field name.
     * @param field The field name.
     */
    public void setField(String field) {
    
        this.field = field;
    }
    
    /**
     * Inform the field length.
     * @return the field length.
     */
    public int getLength() {
    
        return length;
    }
    
    /**
     * Set the field length.
     * @param length The the field length.
     */
    public void setLength(int length) {
    
        this.length = length;
    }
    
    /**
     * Inform the field position.
     * @return the field position.
     */
    public int getPosition() {
    
        return position;
    }
    
    /**
     * Set the field position.
     * @param position The field position.
     */
    public void setPosition(int position) {
    
        this.position = position;
    }

    
    /**
     * Inform the current field value.
     * @return the current field value.
     */
    public String getValue() {
    
        return value;
    }

    
    /**
     * Set the current field value.
     * @param value The current field value.
     */
    public void setValue(String value) {
    
        this.value = value;
    }
}
