/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.util;

/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

import java.io.IOException;
import java.io.InputStream;

/**
 * Simple InputStream subclass to fetch <b>all</b> bytes from a String.
 */
public class ByteInputStream extends InputStream {

    protected byte[] byteArray;
    protected int offset = 0;

    protected int available;

    /**
     * Creates a input stream buffer from a String.
     * @param s The String.
     */
    public ByteInputStream(byte[] byteArray) {

        this.byteArray = byteArray;
        available = byteArray.length;
    }

    /**
     * Read the content of the stream.
     * @return An integer.
     * @throws IOException If there is a problem.
     */
    public int read() throws IOException {

        if (available == 0) {
            return -1;
        }

        int content = byteArray[offset];

        if (content < 0) {
            content += 256;
        }

        available--;
        offset++;

        return content;
    }

    /**
     * Indicate if there is more to read.
     * @return How much bytes left.
     * @throws IOException If there is a problem.
     */
    public int available() throws IOException {

        return available;
    }
}