/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.util;

/**
 * Provides a singleton for a simple internationalization feature only for the
 * com.carlosbcruz.util classes.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class InternalResource {

	private static ResourceUtility resourceUtility = null;

	/**
	 * @param key The key to search for.
	 * @return The content.
	 */
	protected static String get(String key) {
		if (resourceUtility == null) {
			resourceUtility = new ResourceUtility();
		}
		return resourceUtility.get(key);
	}

	/**
	 * @param key
	 *            The key to search for.
	 * @param arg0 Argument 0
	 * @return The content.
	 */
	public static String get(String key, String arg0) {

		if (resourceUtility == null) {
			resourceUtility = new ResourceUtility();
		}
		return resourceUtility.get(key, arg0);
	}

	/**
	 * @param key
	 *            The key to search for.
	 * @param arg0 Argument 0
	 * @param arg1 Argument 1
	 * @return The content.
	 */
	public static String get(String key, String arg0, String arg1) {

		if (resourceUtility == null) {
			resourceUtility = new ResourceUtility();
		}
		return resourceUtility.get(key, arg0, arg1);
	}

	// Current available contents
	protected static final String OPEN_FILE = "file.open";
	protected static final String SAVE_FILE = "file.save";
	protected static final String CONFIRM = "confirm";
	protected static final String CANCEL = "cancel";
	protected static final String ALERT = "alert";
	protected static final String OVERWRITE_FILE_QUESTION = "file.overwrite.question";
	protected static final String EXECUTION = "execution";
	protected static final String START_DATE = "start.date";
	protected static final String END_DATE = "end.date";
	protected static final String SECONDS = "seconds";
	protected static final String MINUTES = "minutes";
	protected static final String TASK_INTERRUPTED = "task.interrupted";
	protected static final String TIME_ELAPSED = "time.elapsed";
	protected static final String TIME_REMAINING = "time.remaining";
	protected static final String INDICATED_PROGRESS = "progress.indication";
	protected static final String UNITS = "progress.units";
	protected static final String TASK_FINITE_WITH_INFINITE_MESSAGE = "task.mix.finite.infinite.message";
	protected static final String TASK_INFINITE_WITH_FINITE_MESSAGE = "task.mix.infinite.finite.message";
	protected static final String TASK_INTERRUPTION_CONFIRMATION_TITLE = "interrupt.confirmation.title";
	protected static final String TASK_INTERRUPTION_CONFIRMATION = "interrupt.confirmation";
	protected static final String INTERRUPT_ALL_TASKS = "interrupt.all.tasks";
	protected static final String WINDOW_CLOSE_CONFIRMATION_TITLE = "window.close.confirmation.title";
	protected static final String PROGRESS_LIMIT = "progress.limits";
	protected static final String TASK_INTERRUPTED_SHORT_MESSAGE = "task.interrupted.short.message";
	protected static final String TASK_FINISHED = "task.finished";
	protected static final String TASK_EXCEPTION = "task.exception";
	protected static final String TASK_EXCEPTION_TITLE = "task.exception.title";
	protected static final String RESULT_EXCEPTION = "result.exception";
	protected static final String STOP = "stop";
	protected static final String FILE_BROWSE = "file.browse";
	protected static final String CONTINUE = "continue";
	protected static final String FILE_SELECTION_PROPERTY = "file.selection.property";
	protected static final String FILE_CONTINUE_SELECTION = "file.continue.selection";
	protected static final String FILE_SELECTION = "file.selection";
	protected static final String DIRECTORY_SELECTION_PROPERTY = "directory.selection.property";
	protected static final String DIRECTORY_CONTINUE_SELECTION = "directory.continue.selection";
	protected static final String DIRECTORY_SELECTION = "directory.selection";
	protected static final String STEPS_SEPARATION = "steps.separation";
	protected static final String EXCEPTION_OCCURRED = "exception.occurred";
	protected static final String FILE_SERIALIZATION_DESCRIPTION = "file.serialization.description";
	protected static final String INCORRECT_FILE_FORMAT = "incorrect.file.format";
	protected static final String FILE_TOO_BIG = "file.too.big";
	protected static final String IMAGE_FILE_NOT_FOUND = "image.file.not.found";
	protected static final String EXCEPTION_BUFFER = "exception.buffer";
	protected static final String EXCEPTION_COULD_NO_DELETE = "exception.could.not.delete";
	protected static final String EXCEPTION_MISSING_FILE_NAME = "exception.missing.file.name";

}
