/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.testutilpackage;

import java.io.FileNotFoundException;
import java.io.IOException;

import com.carlosbcruz.util.ArraySupport;
import com.carlosbcruz.util.FileSupport;
import com.carlosbcruz.util.Serialization;
import com.carlosbcruz.util.StringSupport;
import com.carlosbcruz.util.Task;
import com.carlosbcruz.util.TaskController;
import com.carlosbcruz.util.ZipUtil;

/**
 * Simple tests of some classes from com.carlosbcruz.util package.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class TestUtilPackage {

	class MyTask extends Task {

		public MyTask(String taskName, Object parameter) {

			super(taskName, parameter);
		}

		public Object run(Object parameter) throws InterruptedException {

			setSteps(2);
			setCurrentStep(1);
			setUpperLimit(49);
			for (int i = 0; i < 50; i++) {
				Thread.sleep(300);

				// if (i == 35 && parameter == null) {
				// throw new RuntimeException("error2");
				// }
				// System.out.println(i);
				setCurrentProgress(i);
				setIntermediaryResult(new Integer(i));
			}

			setUpperLimit(99);
			setCurrentStep(2);
			for (int i = 0; i < 100; i++) {
				Thread.sleep(300);

				// if (i == 35 && parameter == null) {
				// throw new RuntimeException("error2");
				// }
				// System.out.println(i);
				setCurrentProgress(i);
				setIntermediaryResult(new Integer(i));
			}

			return "All Done"; // or this
		}
	}

	public void startFiniteTasks() {

		/*
		 * JFrame test = new JFrame(); test.setSize(600, 300);
		 * test.setLocation(500, 300); test.setVisible(true);
		 */
		// TaskController controller = new TaskController("Tarefas", test);
		TaskController controller = new TaskController("Tarefas");
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.addFiniteTask(new MyTask("1", "Y"));
		controller.addFiniteTask(new MyTask("3", null));
		controller.addFiniteTask(new MyTask("2", null));
		controller.start();

		Object result[] = controller.getResults(500);

		for (int i = 0; i < result.length; i++) {
			System.out.println(result[i].toString());

		}

	}

	public void startInfiniteTasks() {

		/*
		 * JFrame test = new JFrame(); test.setSize(600, 300);
		 * test.setLocation(500, 300); test.setVisible(true);
		 */
		// TaskController controller = new TaskController("Tarefas", test);
		TaskController controller = new TaskController("Tarefas");
		controller.addInfiniteTask(new MyTask("1", "XX"));
		controller.addInfiniteTask(new MyTask("2", new Integer(1)));
		controller.start();

		while (controller.hasRunningTasks()) {

			Object intermediaryResult = controller.getIntermediaryResult();
			if (intermediaryResult != null)
				System.out.println("Intermediary: " + intermediaryResult);

			try {
				Thread.sleep(2000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}

		}

	}

	private static void testZip() {

		String text = "ABCDEFAB23423CDEF2342334ABCDEFABCDEFAB23423CDEF2342334ABCDEFABCDEFAB23423CDEF2342334ABCDEFABCDEFAB23423CDEF2342334ABCDEF";
		System.out.println("Size: " + text.length());
		byte[] test = ZipUtil.zip(text);
		System.out.println("New wize: " + test.length);
		String out = ZipUtil.unzip(test);
		System.out.println("Original String: " + out);
	}

	private static void testReadFileLines() {

		String lines[] = FileSupport.readAllLines("c:\\content.txt");
		for (int i = 0; i < lines.length; i++) {
			System.out.println(lines[i]);
		}
	}

	private static void tokenSearchTest() {

		StringBuffer file = FileSupport
				.readTextFile("c:\\RAD_Workspace_AMT_4\\eamt\\WebContent\\amtWorkWithAssetsAssetsOnSurplus.jsp");

		if (file != null) {
			int ocurrences[] = StringSupport.findOcurrences(file, "taglib");

			for (int i = 0; i < ocurrences.length; i++) {
				System.out.println(ocurrences[i]);
			}

			StringBuffer resultFile = new StringBuffer();
			for (int i = 0; i < file.length(); i++) {

				char character = file.charAt(i);

				for (int j = 0; j < ocurrences.length; j++) {

					if (i == ocurrences[j]) {
						resultFile.append("!");
					}

				}
				resultFile.append(character);
			}

			System.out.print(resultFile);
		}
	}

	private static void testFileHandling() {

		String files[] = FileSupport.getFileOnSubfolder(
				"c:\\RAD_Workspace_AMT_4", null);

		if (files != null) {
			for (int i = 0; i < files.length; i++) {
				System.out.println(files[i]);
			}

			String javaFiles[] = ArraySupport.filterBySufix(files, "java");

			String jspFiles[] = ArraySupport.filterBySufix(files, "jsp");

			Object targetFiles[] = ArraySupport
					.mergeArrays(javaFiles, jspFiles);

			for (int i = 0; i < targetFiles.length; i++) {
				String targetFile = (String) targetFiles[i];
				System.out.println(targetFile);
			}
		}
	}

	/**
	 * Test the dialogs
	 */
	private static void testDialogs() {

		String serializeString = new String();
		try {
			Serialization.serializeObjectAWTWizard(null, serializeString);
			Serialization.serializeObjectSwingWizard(null, serializeString);
			Serialization.deserializeObjectAWTWizard(null);
			Serialization.deserializeObjectSwingWizard(null);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {

		// String t =
		// SimpleProperties.confirmFileNamePropertyWithDefault("test", "C://",
		// "Content file");
		// String t = SimpleProperties.confirmDirectoryNamePropertyWithDefault(
		// "test.directory", "C://", "Workspace");
		// System.out.println(t);

		TestUtilPackage test = new TestUtilPackage();
		test.startFiniteTasks();

		// test.testZip();

		// test.startInfiniteTasks();

		// testReadFileLines();

		// tokenSearchTest();

		// testFileHandling();

		// testDialogs();
	}
}
